
/**
 * La classe Groupe décrit un groupe de personnes.
 *
 * @author Philippe
 * @version 2
 * @see Personne
 */
public class Groupe
{
    private Personne membres[];
    
    /**
     * Constructeur d'un Groupe
     * 
     * @param identites un tableau des identités des membres
     */
    public Groupe(String identites[])
    {
        String texte;
        String identite;
        int positionSeparateur;
        String titre;
        membres = new Personne[identites.length];
        for (int i = 0 ; i < identites.length ; i++) {
            texte = identites[i];
            if (texte.contains(":")) {
                positionSeparateur = texte.indexOf(":");
                titre = texte.substring(0, positionSeparateur);
                identite = texte.substring(positionSeparateur + 1);
                membres[i] = new VIP(titre, identite);
            } else
                membres[i] = new Personne(identites[i]);
        }
    }

    /**
     * fait saluer chaque membre du groupe
     *
     */
    public void saluer()
    {
        for(Personne p : membres) {
            p.saluer();
        }
    }
    
    /**
     * destructeur d'instance de la classe Groupe
     */
    public void finalize() {
        System.out.println("Fin du groupe.");
    }
}
