
/**
 * La classe <B>Personne</B> décrit des personnes susceptibles
 * d'être saluées.
 *
 * @author Philippe
 * @version 2
 */
public class Personne
{
    private String identite;

    /**
     * Constructeur d'objets de classe Personne
     * 
     * @param identite l'identité à donner à la personne créée
     */
    public Personne(String identite)
    {
        this.identite = identite;
    }

    /**
     * informateur renvoyant l'identité
     * 
     * @return l'identité de la personne
     */
    public String identite() {
        return identite;
    }
    
    /**
     * renvoie la taille d'une personne
     * 
     * @return la taille de la personne
     */
    private int taille() {
        return identite.length();
    }
    
    /**
     * Dit bonjour.
     */
    public void saluer() {
        System.out.println("Bonjour " + identite + ".");
    }
    
    /**
     * destructeur des objest de la classe Personne.
     * 
     * @since 2
     */
    public void finalize() {
        System.out.println("Au revoir " + identite + ".");
    }
}
